/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.crypto;

public class BouncycastleCryptoConfig
{
	private int textSignatureVersion = V3V4PGPSignatureGenerator.V3;
	private int binarySignatureVersion = V3V4PGPSignatureGenerator.V3;
	
	/**
	 * Type of signature to use for signing text documents.
	 * @return signature type: V3/V4
	 */
	public int getTextSignatureVersion()
	{
		return textSignatureVersion;
	}
	
	/**
	 * Type of signature to use for signing binary documents, for example keys.
	 * @return signature type: V3/V4
	 */
	public int getBinarySignatureVersion()
	{
		return binarySignatureVersion;
	}

	public void setTextSignatureVersion(int textSignatureVersion) {
		this.textSignatureVersion = textSignatureVersion;
	}

	public void setBinarySignatureVersion(int binarySignatureVersion) {
		this.binarySignatureVersion = binarySignatureVersion;
	}

}
