/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.exception;


public abstract class RedcentProcessingException extends Exception
{
	public static final int CONFLICT = 0;

	public static final int TOO_LARGE = 2;

	public static final int MALFORMED = 3;

	public static final int MISSING = 4;

	public static final int FORBIDDEN = 5;

	public static final int OK_CERT = 6;

	public static final int INT_CANT_OPEN = 7;

	public static final int FORB_BAD_CERT = 8;

	public static final int FORB_BAD_SN = 9;

	public static final int FORB_NO_BACKREF = 10;

	public static final int FORB_BAD_BACKREF = 11;

	public static final int INT_DBERR = 12;

	public static final int FORB_NSF = 13;

	public static final int FORB_SELF = 14;

	public static final int FORB_BAD_ID = 15;

	public static final int FORB_DEC = 16;

	public static final int FORB_SPLIT = 17;

	public static final int FORB_EXISTS = 18;

	public static final int NOT_FOUND = 19;

	/**
	 * invalid transaction
	 */
	public static final int INVALID = 20;

	public static final int BADSIG = 21;

	public static final int PLEASEWAIT			=		22;
	
	protected RedcentProcessingException()
	{
		super();
	}

	protected RedcentProcessingException(String message, Throwable cause)
	{
		super(message, cause);
	}

	protected RedcentProcessingException(String message)
	{
		super(message);
	}

	protected RedcentProcessingException(Throwable cause)
	{
		super(cause);
	}


	/**
	 * Additional error information as defined in original redcent application error.h
	 * @return error type
	 */
	public abstract int getType();
}
