/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.interfaces;

public interface EpointCertificateTypes
{

	// Available certificate types
	public static final String EPOINT_CERTIFICATE = "EPOINT_CERTIFICATE";

	public static final String INVALIDATION_CERTIFICATE = "INVALIDATION_CERTIFICATE";

	public static final String OBLIGATION_CERTIFICATE = "OBLIGATION_CERTIFICATE";
	public static final String LEDGER = "LEDGER";

	public static final String DRAFT = "DRAFT";

	public static final String SERVER_STATUS = "SERVER_STATUS";

	public static final String SERVER_BALANCE = "SERVER_BALANCE";

	public static final String SERVER_SERVICE_CONTRACT = "SERVER_SERVICE_CONTRACT";

	// EXCHANGE_RATE_INFORMATION alias XRI, publicly available information document that ties
	// XRN's serial number and LSN from the public record together
	public static final String EXCHANGE_RATE_INFORMATION = "EXCHANGE_RATE_INFORMATION";
	
	// documents for exchange rate related topics
	// EXCHANGE_RATE_NOTIFICATION alias XRN, created and singed by the PI
	public static final String EXCHANGE_RATE_NOTIFICATION = "EXCHANGE_RATE_NOTIFICATION";
	
}
