/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.servlet.exception;

import javax.servlet.ServletException;

public class ProcessingException extends ServletException
{
	private int status = 500;
	private String shortMsg = "An unknown error occured.";
	
	protected ProcessingException()
	{
		super();
	}

	protected ProcessingException(String message, Throwable rootCause)
	{
		super(message, rootCause);
	}

	public ProcessingException(String message)
	{
		super(message);
	}

	public ProcessingException(int status, String shortMsg, String message)
	{
		this(message);
		this.status = status;
		this.shortMsg = shortMsg;
	}

	protected ProcessingException(Throwable rootCause)
	{
		super(rootCause);
	}
	
	public int getStatus()
	{
		return status;
	}
	
	public String getShort()
	{
		return shortMsg;
	}
}
