/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.swing;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.io.File;
import java.io.FileInputStream;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTree;
import javax.swing.tree.TreeNode;

import de.nachtlicht_media.epoint.redcent.crypto.BouncycastleUtil;

public class SimpleKeyViewer extends JFrame{

	public SimpleKeyViewer(TreeNode root) {
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		JTree tree = new JTree(root);
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(new JScrollPane(tree), BorderLayout.CENTER);
		setSize(new Dimension(1440,800));
		
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		
		File f = new File(args[0]);
		byte b[] = new byte[(int)f.length()];
		FileInputStream fIn = new FileInputStream(f);
		fIn.read(b);
		
		SimpleKeyViewer sk = new SimpleKeyViewer(BouncycastleUtil.extractStructure(b));
		sk.setVisible(true);
	}

}
