/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.swing;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.JToolBar;

public class TestURLEncrypterEncoder extends JFrame
{
	public TestURLEncrypterEncoder()
	{
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception
	{
		TestURLEncrypterEncoder frame = new TestURLEncrypterEncoder();
		frame.initComponents();
		frame.setVisible(true);
	}

	final JToolBar tools = new JToolBar();
	final JTextArea in = new JTextArea();
	final JTextArea out = new JTextArea();
	final JTextField urlF = new JTextField("http://localhost:8080/redcent/rates");
	
	private void initComponents() throws Exception
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		in.setRows(10);
		in.setColumns(30);
		
		out.setRows(10);
		out.setColumns(30);
		
		getContentPane().setLayout(new BorderLayout(10,10));

		Action perform = new AbstractAction("Perform")
		{
			public void actionPerformed(ActionEvent e)
			{
				try
				{
					for (int i = 0; i < 1; i++)
					{
						URLConnection u = null;
						out.setText(URLEncoder.encode(in.getText(), "UTF-8"));

						u=new URL(urlF.getText()).openConnection();
						OutputStream os;
						InputStream is;
						u.setDoOutput(true);
						u.setDoInput(true);
						u.setAllowUserInteraction(false);
						((HttpURLConnection)u).setInstanceFollowRedirects(false);
						os=u.getOutputStream();
						System.out.println("Writing to URL: " + ("XRN="+URLEncoder.encode(in.getText(),"UTF-8")));

						os.write(("XRN=" + URLEncoder.encode(in.getText(),"UTF-8")).getBytes());
						os.close();

						is=u.getInputStream();
						int res=((HttpURLConnection)u).getResponseCode();
						if((res>=300)&&(res<400)){
							String r=u.getHeaderField("Location");
							System.out.println("Answer is: " + r);
							is.close();
							is=new URL(r).openStream();
						}

						System.out.println("Answer:");
						while (is.available() > 0)
							System.out.print((char)is.read());
						System.out.println();
					}
				}
				catch (Throwable e1)
				{
					e1.printStackTrace();
				}
			}
		};
		
		tools.add(urlF);
		tools.add(new JScrollPane(in));
		tools.add(perform);
		
		getContentPane().add(tools, BorderLayout.NORTH);
		getContentPane().add(new JScrollPane(out), BorderLayout.CENTER);
		
		pack();
	}

}
