/*******************************************************************************
 * Copyright (c) 2006-2010 Janis Schuller, nachtlicht-media
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package de.nachtlicht_media.epoint.redcent.util;

public class StringUtils
{
	public static String replace(String container, String what, String with)
	{
		int idx, start = 0;
		while((idx = container.indexOf(what, start)) != -1)
			container = container.substring(0, idx) + with + container.substring(start = idx + what.length());
		return container;
	}
	
	public static String trimLineEnd(String container)
	{
		while(container.length() > 0 && container.charAt(container.length()-1) == ' ')
			container = container.substring(0, container.length()-1);
		
		return container;
	}
	
	public static long parsePrimitiveLongFromString(String str)
	{
		if (str != null)
			return Long.parseLong(str);
		else
			return 0l;
	}
}
