package hu.vems.epoint.walcent;

import java.math.BigInteger;

public class OfferPathRecord
{
	public byte[] IA, IB;
	public long VA, VB, AA, AB;
	public double R;
	public BigInteger RA, RB;
	public OfferRecord[] offer;  // processing order is 0 to length-1
	
	public void Calculate()
	{
		int l=offer.length;
		IA=offer[l-1].IssuerAFPR;
		IB=offer[0].IssuerBFPR;

		RA=BigInteger.ONE;RB=BigInteger.ONE;
		for (int n=0;n<l;n++) {
			RA=RA.multiply(BigInteger.valueOf(offer[n].RA));
			RB=RB.multiply(BigInteger.valueOf(offer[n].RB));
		}
		R=RA.doubleValue()/RB.doubleValue();

		long VM=offer[0].avail;
		
		for (int n=1;n<l;n++) {
			VM=VM*offer[n].RA/offer[n].RB;
			if (VM>offer[n].avail) VM=offer[n].avail;
		}
		
		VA=VM;
		
		for (int n=l-1;n>=0;n--) {
			VM=(VM*offer[n].RB+offer[n].RA-1)/offer[n].RA;
		}
		
		VB=VM;

	}
	
	public void addOffer(OfferRecord o, boolean first)
	{
		OfferRecord[] oo=new OfferRecord[offer.length+1];
		
		if (first) {
			for (int i=0;i<offer.length;i++) oo[i+1]=offer[i];
			oo[0]=o;
		} else {
			for (int i=0;i<offer.length;i++) oo[i]=offer[i];
			oo[offer.length]=o;
		}
		offer=oo;
	}
	
	
}
