/*******************************************************************************
 * Copyright (c) 2009 Felfldi Zsolt
 * 
 * The software and the associated documentation are licensed under the 
 * GNU GENERAL PUBLIC LICENSE, Version 3, 29 June 2007. For a detailed
 * license description, see LICENSE.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *******************************************************************************/
package hu.vems.epoint.walcent.util;

import org.apache.commons.codec.DecoderException;
import org.apache.commons.codec.binary.Hex;

public class FPRUtils
{

	public static byte[] parseFPR(String str)
	{
		try
		{
			if (str==null) return null;
			byte[] FPR = Hex.decodeHex(str.replaceAll(" ","").replaceAll("\n","").toCharArray());
			if (FPR.length!=20) FPR=null;
			return FPR;
		}
		catch (DecoderException decEx)
		{
			return null;
		}
	}
	
	public static boolean compareFPR(byte[] a, byte[] b)
	{
		if (a==null || b==null) return false;
		for (int n=0;n<20;n++)
			if (a[n]!=b[n]) return false;
		return true;
	}
	
	public static String ToString(byte[] f)
	{
		return Hex.encodeHexString(f).toUpperCase();
	}
	
}
